import type { ScrollbarProps } from './const';
declare const _default: (props: ScrollbarProps) => {
    containerRef: import("vue").Ref<HTMLElement, HTMLElement>;
    onUpdate: () => void;
    onScroll: () => void;
    ratioX: import("vue").Ref<number, number>;
    ratioY: import("vue").Ref<number, number>;
    thumbMoveX: import("vue").Ref<number, number>;
    thumbMoveY: import("vue").Ref<number, number>;
    sizeHeight: import("vue").Ref<string, string>;
    sizeWidth: import("vue").Ref<string, string>;
    scrollX: import("vue").Ref<boolean, boolean>;
    scrollXRatio: import("vue").Ref<number, number>;
    scrollY: import("vue").Ref<boolean, boolean>;
    scrollYRatio: import("vue").Ref<number, number>;
};
export default _default;
